{
    "name": "ccx-welcome-process",
    "version": "4.1.0",
    "private": true,
    "description": "CCXProcess",
    "dependencies": {
        "@ccx/node-aid": "git+ssh://git@git.corp.adobe.com:CCX/node-aid.git#v0.0.6",
        "@ccx/node-ProxyResolver": "git+ssh://git@git.corp.adobe.com:ProjectCentral/node-ProxyResolver.git#v2.0.1",
        "@ccx/node-ngl": "git+ssh://git@git.corp.adobe.com:ProjectCentral/node-ngl.git#v1.0.14",
        "@ccx/isRosetta": "git+ssh://git@git.corp.adobe.com:CCX/isRosetta.git#v0.0.1",
        "@ccx/parallel-fetch": "0.0.31",
        "fs-ext": "2.0.0",
        "fs-extra": "8.1.0",
        "ingest": "git+ssh://git@git.corp.adobe.com:CCX/Ingest.git#v1.1.1",
        "jsonschema": "1.2.5",
        "mime": "2.4.4",
        "mkdirp": "^1.0.3",
        "node-vulcanjs": "git+ssh://git@git.corp.adobe.com:slade/VulcanJS.git#v2.0.4",
        "ps-node": "0.1.6",
        "simple-plist": "^1.1.0",
        "uuid": "3.3.3",
        "winreg": "^1.2.4",
        "xml2js": "0.4.23"
    },
    "devDependencies": {
        "7zip": "0.0.6",
        "@adobe/tessa-npm-plugin": "1.2.1",
        "@babel/cli": "^7.1.2",
        "@babel/core": "^7.1.2",
        "@babel/plugin-proposal-class-properties": "^7.1.0",
        "@babel/plugin-proposal-object-rest-spread": "^7.0.0",
        "@babel/preset-env": "^7.1.0",
        "@babel/preset-typescript": "^7.1.0",
        "@ccx/hyperdrive-builder": "git+ssh://git@git.corp.adobe.com:CCX/hyperdrive-builder.git#v4.0.13",
        "@types/core-js": "^2.5.0",
        "@types/es6-promise": "^3.3.0",
        "@types/fs-ext": "0.0.29",
        "@types/fs-extra": "5.0.4",
        "@types/glob": "^7.1.1",
        "@types/jest": "23.3.7",
        "@types/mime": "^2.0.0",
        "@types/mustache": "^4.0.1",
        "@types/nock": "^9.3.0",
        "@types/node": "^10.12.0",
        "@types/uuid": "^3.4.4",
        "@types/webpack": "^4.4.17",
        "@types/winreg": "^1.2.4",
        "@types/xml2js": "0.4.3",
        "babel-loader": "^8.0.4",
        "glob": "7.1.3",
        "husky": "1.1.2",
        "jest": "23.6.0",
        "jest-date-mock": "1.0.5",
        "jest-extended": "0.11.0",
        "jsftp": "2.1.3",
        "matchdep": "2.0.0",
        "mockery": "2.1.0",
        "mustache": "^4.0.1",
        "nock": "10.0.1",
        "node-gyp": "^6.1.0",
        "node-uglifier": "0.5.41",
        "prettier": "2.0.5",
        "pretty-quick": "1.8.0",
        "terser-webpack-plugin": "1.1.0",
        "ts-jest": "23.10.4",
        "ts-loader": "5.2.2",
        "ts-node": "7.0.1",
        "ts-node-dev": "^1.0.0-pre.30",
        "typescript": "3.8",
        "webpack": "4.23.0",
        "webpack-node-externals": "1.7.2"
    },
    "prettier": {
        "tabWidth": 4,
        "useTabs": false,
        "singleQuote": true,
        "trailingComma": "all",
        "printWidth": 120,
        "arrowParens": "avoid",
        "endOfLine": "auto"
    },
    "engines": {
        "node": ">=12.0.0"
    },
    "scripts": {
        "test": "jest",
        "coverage": "jest --coverage",
        "updateBuildCoverageComment": "ts-node packaging/updateCoverage",
        "start": "yarn run isMac && yarn run kill; ts-node-dev --inspect --no-deps --files main --debug",
        "start-win": "ts-node-dev --no-deps --files main --debug",
        "tessa": "tessa-npm-plugin update --yarn",
        "tessa-plugin-pr": "tessa-npm-plugin check --errorOnNewVulnerability --yarn",
        "kill": "pkill -f \".*CCXProcess.app/Contents/MacOS/../js/main.js$\"",
        "build": "ts-node --files packaging/build.ts compile",
        "build:arm": "ts-node --files packaging/build.ts compile arm",
        "package": "ts-node --files packaging/build.ts hyperdrive",
        "package:arm": "ts-node --files packaging/build.ts hyperdrive arm",
        "jira": "node packaging/jiraRestApi",
        "preinstall": "node packaging/credentials",
        "isMac": "node -p \"if (process.platform == 'darwin') { process.exit(0); } else { process.exit(-1); }\"",
        "postinstall": "node packaging/fixDepsMac",
        "installNoDepCopy": "NO_DEP_COPY=true yarn install"
    },
    "cepPanels": [
        {
            "NOTE": "REMOVING START 2.7 from the CCXPROCESS WILL CAUSE LEARN TAB TO GO MISSING IN FRESH INSTALLS OF CC 2019 APPS. ALSO DISABLE YBR NON 2.5 COMPATIBLE CAMPAIGNS BEFORE THIS",
            "product": "CCX Start",
            "subproduct": "Extension",
            "version": "2.7.2",
            "certification": "Not Tested",
            "destination": "com.adobe.ccx.start-2.7.2",
            "name": "com.adobe.ccx.start"
        },
        {
            "product": "CCX Start",
            "subproduct": "Extension",
            "version": "2.15.0",
            "certification": "Not Tested",
            "destination": "com.adobe.ccx.start-2.15.0",
            "name": "com.adobe.ccx.start"
        },
        {
            "product": "CCX Start",
            "subproduct": "CmdN",
            "version": "3.4.0",
            "certification": "Not Tested",
            "destination": "com.adobe.ccx.fnft-3.4.0",
            "name": "com.adobe.ccx.fnft"
        }
    ],
    "UNINSTALLATION INSTRUCTIONS": {
        "STEPS": "NAME THE KEY uninstall to uninstall extensions. The contents of the key add  an array objects each with a destination folder name and isCEP which is true if this is a CEP extension and false if this is a UXP extension.",
        "SAMPLE": {
            "uninstall": [
                {
                    "COMMENT": "The provided destination folder(com.adobe.ccx.start-2.6.1) in the CEP or UXP (CEP in this case) extension is deleted",
                    "destination": "com.adobe.ccx.start-2.6.1",
                    "isCEP": true
                }
            ]
        }
    },
    "uninstall-example": [
        {
            "COMMENT": "Start 2.11 is really old. Forget about it please.",
            "destination": "com.adobe.ccx.start-2.11.0",
            "isCEP": true
        },
        {
            "destination": "com.adobe.ccx.fnft-2.5.2",
            "isCEP": true
        },
        {
            "destination": "com.adobe.ccx.start-3.2.0",
            "isCEP": false
        }
    ],
    "uxpPanels": [
        {
            "product": "CCX Start",
            "subproduct": "HomeScreenUXP",
            "version": "3.8.0",
            "certification": "Not Tested",
            "destination": "com.adobe.ccx.start-3.8.0",
            "name": "com.adobe.ccx.start.{{build}}"
        }
    ],
    "thor": [
        {
            "product": "ACCC",
            "subproduct": "Application",
            "version": "5.3.0",
            "certification": "Product Team Only",
            "name": "ACCCx5_3_0_{{build}}",
            "volume": "Creative Cloud",
            "build": "^\\d+$"
        },
        {
            "product": "ACCC",
            "subproduct": "HDSetup",
            "version": "5.3.0",
            "certification": "Product Team Only",
            "name": "HDSetup",
            "volume": "Release"
        }
    ],
    "resolutions": {
        "ffi-napi": "2.4.7",
        "ref-napi": "1.4.2",
        "xml2js": "0.4.23",
        "node-fetch": "3.0.0-beta.7"
    },
    "husky": {
        "hooks": {
            "pre-commit": "pretty-quick --staged"
        }
    }
}
